function [E_est,C,U,d,V,indk] = ori_E_from_2ACs(u0,v0,A)
%% estimate E from two uncertain ACs
%
% u0,v0        2x2 matrix reference points left and right u0(i,:) ...
% A            3x6 matrix of two homogeneous affinities
%
% E_est        tensor (i,:,:) for i-th E
% C            9 x 3 constraint matrix
% U,d,V        result of svd of C'
% indk         list of used constraints

%% find all solutions
[Es,checks,C,U,d,V,indk]= oris_2ACs_2_E(u0,v0,A);

%% Select best solution
% Select Solution
[~,Solution]=min(checks);
E_est = squeeze(Es(Solution,:,:));

end

