% ORI_MULTO1 Multiply two multivariate polynomials of degree one, e.g.
% p1 = [a,b,c,d], i.e.: a*x + b*y + c*z + d
% p2 = [e,f,g,h], i.e.: e*x + f*y + g*z + h
% r = p1*p2 = [i,j,k,l,m,n,o,p,q,r] 
%   i.e.: i*x^2 + j*y^2 + k*z^2 + 
%         l*x*y + m*y*z + n*x*z + 
%         o*x   + p*y   + q*z   + r
%
% @author Christian Beder
function r = ori_multo1(p1,p2)
    s = length(p1);
    k = reshape (kron(p1,p2), s,s);
    kk = k(1:s-1,1:s-1);
    r = diag(kk)';
    for i=1:s-2
        r = [r,diag(kk,i)'+diag(kk,-i)'];
    end;
    r = [r,k(s,1:s-1)+k(1:s-1,s)',k(s,s)];
return
